# eric3.Graphics.ApplicationDiagram

Module implementing a dialog showing an imports diagram of the application.

### Classes

ApplicationDiagram | Class implementing a dialog showing an imports diagram of the application.

### Functions

None

## ApplicationDiagram

Class implementing a dialog showing an imports diagram of the application.

### Derived from

QDialog

### Methods

ApplicationDiagram | Constructor
__tr | Private method to translate the display strings.
addPackage | Private method to add a package to the diagram.
buildModulesDict | Private method to build a dictionary of modules contained in the application.
buildPackages | Private method to build the modules shapes of the diagram.
createAssociations | Private method to generate the associations between the module shapes.
getDiagramName | Method to retrieve a name for the diagram.
languageChange | Private method used to show the localized strings for this dialog.
relayout | Method to relayout the diagram.
show | Overriden method to show the dialog.

### ApplicationDiagram (Constructor)

ApplicationDiagram(project, parent = None, name = None, modal = 0, fl = 0, noModules=0)

Constructor

project
  reference to the project object
parent
  parent widget of the view (QWidget)
name
  name of the view widget (QString or string)
flags
  the window flags to be passed to the view widget
noModules=
  flag indicating, that no module names should be shown (boolean)

### ApplicationDiagram.__tr

__tr(s, c = None)

Private method to translate the display strings.

### ApplicationDiagram.addPackage

addPackage(name, modules, x, y)

Private method to add a package to the diagram.

name
  package name to be shown (string)
modules
  list of module names contained in the package (list of strings)
x
  x-coordinate (integer)
y
  y-coordinate (integer)

### ApplicationDiagram.buildModulesDict

buildModulesDict()

Private method to build a dictionary of modules contained in the application.

Returns:
  dictionary of modules contained in the application.

### ApplicationDiagram.buildPackages

buildPackages()

Private method to build the modules shapes of the diagram.

### ApplicationDiagram.createAssociations

createAssociations(shapes)

Private method to generate the associations between the module shapes.

shapes
  list of shapes

### ApplicationDiagram.getDiagramName

getDiagramName()

Method to retrieve a name for the diagram.

Returns:
  name for the diagram

### ApplicationDiagram.languageChange

languageChange()

Private method used to show the localized strings for this dialog.

### ApplicationDiagram.relayout

relayout()

Method to relayout the diagram.

### ApplicationDiagram.show

show()

Overriden method to show the dialog.

Up